package flm.b4a.rippledrawable;

import android.content.res.ColorStateList;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.RippleDrawable;
import anywheresoftware.b4a.BA;

@BA.Author("Frdric Leneuf-Magaud")
@BA.Version(1.1F)
@BA.ShortName("RippleDrawable")
public class RippleDrawableWrapper
{
	private RippleDrawable rd;

	private ColorStateList getColorStateList(int Couleur)
	{
		return new ColorStateList(
				new int[][] {
					new int[]{}
				},
				new int[] {
						Couleur
				}
				);
	}

	public void Initialize(int DefaultColor, int PressedColor)
	{
		ColorStateList Pressed = getColorStateList(PressedColor);
		ColorDrawable Default = new ColorDrawable(DefaultColor);
		rd = new RippleDrawable(Pressed, Default, null);
	}

	public void Initialize2(Drawable DefaultDrawable, int PressedColor)
	{
		ColorStateList Pressed = getColorStateList(PressedColor);
		rd = new RippleDrawable(Pressed, DefaultDrawable, null);
	}

	public Object getDrawable()
	{
		return rd;
	}

	public void ChangeDefaultColor(int NewDefaultColor)
	{
		rd.setDrawableByLayerId(0, new ColorDrawable(NewDefaultColor));
	}

	public void ChangeDefaultDrawable(Drawable NewDefaultDrawable)
	{
		rd.setDrawableByLayerId(0, NewDefaultDrawable);
	}

	public void ChangePressedColor(int NewPressedColor)
	{
		rd.setColor(getColorStateList(NewPressedColor));
	}
}
